FruxonDocs
ApiAgent reply style

Activates a reply-style version, so customers get replies in it from their next message.

A draft, or a retired version that has not expired (a rollback). The version it replaces is retired and can be activated again until it expires. Activating the active version changes nothing. Agent admins only.

POST
/v1/tenants/{tenant}/agents/{agent}/replyStyle/versions/{version}:activate
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

agent*string

The agent ID.

version*integer

The version number.

Formatint32
tenant*string

The tenant identifier

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/replyStyle/versions/0:activate"
{
  "agentId": "string",
  "active": {
    "number": 0,
    "status": "DRAFT",
    "content": {
      "summary": "string",
      "rules": [],
      "examples": []
    },
    "renderedText": "string",
    "tokenEstimate": 0,
    "createdBy": "string",
    "createdAt": 0,
    "modifiedAt": 0,
    "activatedAt": 0,
    "activatedBy": "string",
    "retiredAt": 0,
    "expiresAt": 0,
    "buildId": "00000000-0000-0000-0000-000000000000",
    "check": {
      "running": false,
      "style": {
        "runId": "00000000-0000-0000-0000-000000000000",
        "cases": 0,
        "draftWins": 0,
        "withoutWins": 0,
        "ties": 0,
        "score": null
      },
      "substance": {
        "runId": "00000000-0000-0000-0000-000000000000",
        "cases": 0,
        "draftWins": 0,
        "withoutWins": 0,
        "ties": 0,
        "score": null
      }
    }
  },
  "draft": {
    "number": 0,
    "status": "DRAFT",
    "content": {
      "summary": "string",
      "rules": [],
      "examples": []
    },
    "renderedText": "string",
    "tokenEstimate": 0,
    "createdBy": "string",
    "createdAt": 0,
    "modifiedAt": 0,
    "activatedAt": 0,
    "activatedBy": "string",
    "retiredAt": 0,
    "expiresAt": 0,
    "buildId": "00000000-0000-0000-0000-000000000000",
    "check": {
      "running": false,
      "style": {
        "runId": "00000000-0000-0000-0000-000000000000",
        "cases": 0,
        "draftWins": 0,
        "withoutWins": 0,
        "ties": 0,
        "score": null
      },
      "substance": {
        "runId": "00000000-0000-0000-0000-000000000000",
        "cases": 0,
        "draftWins": 0,
        "withoutWins": 0,
        "ties": 0,
        "score": null
      }
    }
  },
  "retiredCount": 0,
  "tokenLimit": 0,
  "provider": {
    "providerId": "string",
    "model": "string",
    "parameters": {},
    "fallbacks": [
      {
        "providerId": "string",
        "model": "string",
        "tenantConfigId": null
      }
    ],
    "builtInTools": [
      {
        "toolKey": null,
        "integrationConfigId": null,
        "integrationConfig": null,
        "humanApproval": null,
        "repeatGuard": null,
        "durableEffect": null,
        "pinnedParameters": null
      }
    ],
    "tenantConfigId": "00000000-0000-0000-0000-000000000000"
  },
  "learnFromTeam": false,
  "sources": 0,
  "latestBuild": {
    "id": "00000000-0000-0000-0000-000000000000",
    "number": 0,
    "status": "RUNNING",
    "phase": "ESTIMATING",
    "newConversations": 0,
    "remainingConversations": 0,
    "progress": {
      "members": 0,
      "live": 0,
      "done": 0,
      "ignored": 0,
      "dead": 0,
      "alreadyHeld": 0,
      "cells": [],
      "held": [],
      "cost": 0,
      "credits": 0,
      "runs": 0
    },
    "estimate": {
      "computedAt": 0,
      "sampleSize": 0,
      "remainingCount": 0,
      "countIsFloor": false,
      "perItemP50": 0,
      "perItemP90": 0,
      "perItemMax": 0,
      "creditsPerItemP90": 0,
      "totalP50": 0,
      "totalP90": 0,
      "creditsP90": 0,
      "sampleByStatus": {},
      "budgetImpact": [],
      "hash": "string",
      "insufficient": false
    },
    "draftVersionNumber": 0,
    "detail": "string",
    "startedBy": "string",
    "createdAt": 0,
    "finishedAt": 0
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}